Index: /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/fr_FR/plugin.lang.php	(revision 4991)
@@ -189,61 +108,158 @@
 // --------- End: New or revised $lang ---- from version 2.12.8
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
-/* Global Configuration Tab */
-$lang['UserAdvManager_Add_LastVisit_Column'] = ' Afficher le suivi des utilisateurs inscrits (date de leur dernière visite, le temps passé (en jours) depuis leur dernière visite,...). Le suivi est à caractère purement informatif pour l\'administrateur de la galerie.';
-$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Activer l\'affichage de la liste.';
-$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Désactiver l\'affichage de la liste (valeur par défaut).';
-/* ConfirmMail Configuration Tab */
-$lang['ConfirmMail_Title'] = 'Configuration avancée de la validation des inscriptions';
-$lang['Tab_ConfirmMail'] = 'Configuration des validations';
 /* UserList Tab */
-$lang['Title_Tab5'] = 'UserAdvManager - Informations sur les utilisateurs';
 $lang['UserList_Title'] = 'Suivi des utilisateurs inscrits';
 $lang['Tab_UserList'] = 'Suivi des utilisateurs';
-$lang['UserAdvManager_User_List'] = 'Cette page est à titre d\'information pour l\'administrateur. Elle affiche la liste de tous les utilisateurs inscrits sur la galerie en faisant apparaitre la date et le nombre de jours depuis leur dernière visite. La liste est triée dans l\'ordre croissant du nombre de jours.
+$lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
+// --------- End: New or revised $lang ---- from version 2.13.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.4
+$lang['uam_no_unlink'] = 'La fonction \'unlink\' n\'est pas disponible';
+$lang['uam_unlink_errors'] = 'Des erreurs ont eu lieu lors de la suppression des fichiers';
+/* Global Configuration Tab */
+$lang['Title_Tab'] = 'UserAdvManager - Version: ';
+$lang['SubTitle1'] = 'Configuration du plugin';
+$lang['Tab_Global'] = 'Configuration';
+$lang['UserAdvManager_Title1'] = 'Paramétrage des restrictions d\'inscriptions';
+$lang['UserAdvManager_Title2'] = 'Paramétrage des confirmations et validations d\'inscriptions';
+$lang['UserAdvManager_Title3'] = 'Paramétrage des suivis des inscrits et autres options';
+$lang['UserAdvManager_Title4'] = 'Astuces et exemples d\'utilisation';
+$lang['UserAdvManager_No_Casse'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
+$lang['UserAdvManager_No_Casse_true'] = ' Activer';
+$lang['UserAdvManager_No_Casse_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_Username_Char'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
+$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères:<br>(utiliser une virgule pour séparer chaque caractère du suivant)<br><br>';
+$lang['UserAdvManager_Username_Char_false'] = ' Tout autoriser (valeur par défaut)';
+$lang['UserAdvManager_Password_Enforced'] = 'Renforcement de la sécurité des mots de passe';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Activer. Score minimum: ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Application aux administrateurs';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Activer';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_PasswordTest'] = 'Mot de passe test: ';
+$lang['UserAdvManager_ScoreTest'] = 'Résultat: ';
+$lang['UserAdvManager_MailExclusion'] = 'Exclusion des domaines de messagerie';
+$lang['UserAdvManager_MailExclusion_true'] = ' Exclure les domaines suivants:<br>(utiliser une virgule pour séparer chaque domaine du suivant)';
+$lang['UserAdvManager_MailExclusion_false'] = ' Désactiver (valeur par défaut)';
+
+$lang['UserAdvManager_Mail_Info'] = 'Email d\'information à l\'utilisateur:';
+$lang['UserAdvManager_Mail_Info_true'] = ' Activer';
+$lang['UserAdvManager_Mail_Info_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_MailInfo_Text'] = ' Texte d\'accueil personnalisé:';
+$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation d\'inscription:';
+$lang['UserAdvManager_Confirm_Mail_true'] = ' Activer';
+$lang['UserAdvManager_Confirm_Mail_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_ConfirmMail_Text'] = ' Texte d\'accueil personnalisé:';
+$lang['UserAdvManager_Confirm_Group'] = 'Groupes de validation<br>(------- pour ne pas affecter de groupe)';
+$lang['UserAdvManager_Confirm_Status'] = 'Statuts de validation<br>(------- pour conserver la valeur par défaut de Piwigo)';
+$lang['UserAdvManager_Confirm_grpstat_notice'] = 'Attention : Il est conseillé d\'utiliser soit les groupes, soit les statuts de validation et pas les deux simultanément.';
+$lang['UserAdvManager_No_Confirm_Group'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
+$lang['UserAdvManager_Validated_Group'] = 'Pour les utilisateurs ayant validé leur inscription<br>';
+$lang['UserAdvManager_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
+$lang['UserAdvManager_Validated_Status'] = 'Pour les utilisateurs ayant validé leur inscription.<br>';
+$lang['UserAdvManager_ValidationLimit_Info'] = 'Limitation du délai de validation d\'inscription';
+$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Activer. Nombre de jours de délai: ';
+$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non validés';
+$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Activer';
+$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Texte du message de rappel <b><u>avec</u></b> génération d\'une nouvelle clé de validation.';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Texte du message de rappel <b><u>sans</u></b> génération d\'une nouvelle clé de validation.';
+
+$lang['UserAdvManager_GhostTracker'] = 'Gestion des visiteurs fantômes (Ghost Tracker)';
+$lang['UserAdvManager_GhostTracker_true'] = ' Activer. Nombre de jours maximum entre deux visites: ';
+$lang['UserAdvManager_GhostTracker_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Texte de rappel personnalisé';
+$lang['UserAdvManager_LastVisit'] = ' Suivi des utilisateurs inscrits';
+$lang['UserAdvManager_LastVisit_true'] = ' Activer';
+$lang['UserAdvManager_LastVisit_false'] = ' Désactiver (valeur par défaut)';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Commentaires : pseudo obligatoire pour les non-inscrits';
+$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Activer';
+$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Désactiver (valeur par défaut)';
+
+$lang['UserAdvManager_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
+$lang['UserAdvManager_Tips1_txt'] = '
+          <ul>
+            <li>
+Les ingrédients nécessaires:<br>
+- 2 groupes d\'utilisateurs Piwigo au minimum: &quot;Attente&quot; pour les visiteur en attente de validation et &quot;Validés&quot; pour les visiteurs ayant validé leur inscription<br>
+- Le plugin NBC_UAM<br>
+- Le plugin PWG Stuffs<br>
+- Eventuellement le plugin Extended Description (pour le support multi-langues)
+            </li>
 <br><br>
-Lorsque le Ghost Tracker est actif, le nombre de jours sans visite s\'affiche selon le code couleur suivant, en fonction du délai maximum paramétré dans les options du Ghost Tracker :
-<br>
-- <b style="color: lime;">En vert</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: lime;"><u>depuis moins de 50%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style="color: orange;">En orange</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: orange;"><u>entre 50% et 99%</u></b> du délai maximum renseigné dans le Ghost Tracker.<br>
-- <b style="color: red;">En rouge</b> : Lorsque l\'utilisateur a visité la galerie <b style="color: red;"><u>depuis 100% et plus</u></b> du délai maximum renseigné dans le Ghost Tracker. <b><u>Dans ce cas, l\'utilisateur doit également apparaitre dans le tableau du Ghost Tracker.</u></b><br>
-<br>
-Exemple :
-<br>
-Le délai maximum du Ghost Tracker est configuré à 100 jours.
-<br>
-Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
+            <li>
+La recette:<br>
+            <ul>
+              <li>
+Préambule: On se place dans le cas d\'une galerie privée ou semi-privée (c\'est à dire qu\'une petite partie des catégories est accessible par les Guests et que les inscrits peuvent tout voir). On considère que les plugins requis sont installés (faut-il le rappeler ?).<br><br>
+              </li>
+              <li>
+N\'attribuer au groupe &quot;Attente&quot; aucune permission sur les catégories privées<br><br>
+              </li>
+              <li>
+Attribuer au groupe &quot;Validés&quot; toutes les permissions sur les catégories privées<br><br>
+              </li>
+              <li>
+Dans le plugin NBC_UAM:
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Dans le champ sous &quot;Personnalisation de l\'email confirmation&quot;, saisir un texte additionnel d\'explication qui sera joint au mail de confirmation d\'inscription. Eventuellement, il est possible d\'utiliser les balises de langues implémentées par le plugin Extended Description</li>
+                <li>Dans la liste &quot;Groupe pour les utilisateurs n\'ayant pas validé leur inscription&quot;, sélectionner le groupe &quot;Attente&quot;</li>
+                <li>Dans la liste &quot;Groupe pour les utilisateurs ayant validé leur inscription&quot;, sélectionner le groupe &quot;Validés&quot;</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+              </li>
 <br><br>
-<b>A NOTER</b> : La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet "Gestion des validations".';
-$lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
+              <li>
+Dans le plugin PWG Stuff:
+              <ol>
+                <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
+                <li>Dans la configuration du module, outre son titre (ex : &quot;Inscription en attente de validation&quot;) et sa description, cocher uniquement le groupe autorisé &quot;Attente&quot;</li>
+                <li>Dans le contenu du module, saisir le texte du message d\'information voulu qui ne sera visible que des utilisateurs non validés. Là aussi, possibilité de gérer le multi-langue grâce aux balises d\'Extended Description</li>
+                <li>Valider le module</li>
+                <li>Définir sa place dans l\'affiche de la page principale de la galerie</li>
+              </ol>
+              </li>
+            </ul>
+            </li>
+<br><br>
+            <li>
+              Le résultat:<br>
+              - Un &quot;Guest&quot; arrive sur la galerie, il ne voit rien d\'autre que les catégories publiques et pas de message d\'information.<br>
+              - Il s\'inscrit. Ce qui génère un email de validation et son appartenance automatique au groupe &quot;Attente&quot;.<br>
+              - A l\'issue, il est redirigé sur la page d\'accueil de la galerie avec, cette fois, un message lui indiquant la non-validation de son inscription<br><br>
+              Il reçoit son email de validation, suit le lien prévu à cet effet dans le mail, ce qui le sort du groupe &quot;Attente&quot; et le place dans le groupe &quot;Validés&quot;. En cliquant sur le bouton &quot;Home&quot;, il est alors connecté à la galerie avec accès total aux catégories privées et sans le message d\'information.
+            </li>
+          </ul>';
+
+$lang['Tab_UserManager'] = 'Suivi des validations';
+
 /* UserManager Tab */
-$lang['UserAdvManager_ConfirmMail_User_List'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de validation d\'inscription <b style="text-decoration: underline;">qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de validation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de validation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la validation.<br><br>Dans cette vue, vous pouvez :
-<br><br>
-- Supprimer manuellement les comptes <b>(purge manuelle)</b>
-<br>
-- Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
-<br>
-- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de validation.
-<br>
-- Valider manuellement une inscription en attente de validation même si la date d\'expiration est révolue <b>(forçage de la validation)</b>.
-<br>';
-$lang['UserManager_Title'] = 'Gestion avancée des inscrits non validés';
-$lang['Title_Tab3'] = 'UserAdvManager - Gestion des validations d\'inscription';
-$lang['Tab_UserManager'] = 'Gestion des validations';
+$lang['SubTitle3'] = 'Suivi des validations';
+$lang['UserManager_Title'] = 'Suivi des validations';
 /* Ghost Tracker Tab */
-$lang['Reminder'] = 'Email de rappel';
-/* Errors and Warnings */
-$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "suivi des utilisateur" est actif dans l\'onglet "Configuration Générale".';
-// --------- End: New or revised $lang ---- from version 2.13.0
-// --------- Starting below: New or revised $lang ---- from version 2.13.1
-/* Global Configuration Tab */
-$lang['Title_Tab1'] = 'UserAdvManager 2.13.1 - Configuration Générale';
-/* ConfirmMail Configuration Tab */
-$lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Configuration de la validation des inscriptions';
-// --------- End: New or revised $lang ---- from version 2.13.1
-// --------- Starting below: New or revised $lang ---- from version 2.13.3
-/* Global Configuration Tab */
-$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères saisis dans le champs ci-après <b style="color: green;">(séparez les valeurs par des virgules "," !)</b> pour le nom d\'utilisateur lors de l\'inscription == ';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Pseudo obligatoire sur commentaire pour les visiteurs. <b style="color: red;">N\'activez ceci que si vous avez donné l\'autoritation aux visiteurs non inscrits de poster des commentaires (Panneau d\'admin de Piwigo > Configuration > Générale, onglet Commentaires > "Commentaires pour tous")</b>';
-// --------- End: New or revised $lang ---- from version 2.13.3
+$lang['SubTitle4'] = 'Ghost Tracker';
+$lang['GT_Init'] = 'Initialisation du Ghost Tracker';
+$lang['GhostTracker_Title'] = 'Gestion des visiteurs fantômes';
+$lang['UserAdvManager_GhostTracker_Init'] = 'A première activation de cette fonction, ou à sa réactivation après une longue période pendant laquelle de nouveaux visiteurs se sont inscrits, il convient d\'initialiser ou de réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule fois après activation ou réactivation de l\'option; à cet effet, cliquez <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.</b>';
+/* UserList Tab */
+$lang['SubTitle5'] = 'Informations sur les utilisateurs';
+/* Mailing */
+$lang['Add of %s'] = 'Profil créé pour %s';
+$lang['Update of %s'] = 'Mise à jour du profil de %s';
+/* Email confirmation page */
+$lang['confirm_mail_bad'] = '<br><br><br>Votre clef d\'activation unique est erronée ou expirée ou vous avez déjà validé votre compte, veuillez contacter le webmaster pour régler ce problème.<br><br><br><br>';
+/* Mailing */
+$lang['Ghost_reminder_of_%s'] = '%s, ceci est un email de rappel.';
+$lang['Reminder_with_key_of_%s'] = '%s, votre clef de validation a expiré';
+$lang['Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
+/* Errors and Warnings */
+$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Délai de validation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+$lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
+$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "Suivi des utilisateurs inscrits" est actif dans "Paramétrage des suivis des inscrits et autres options".';
+// --------- End: New or revised $lang ---- from version 2.13.4
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/help/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/help/index.php	(revision 4991)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/it_IT/help/index.php	(revision 4991)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
